package com.ssj.bean.sys.game.domain;

import org.springframework.format.annotation.DateTimeFormat;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 小程序游戏测试记录
 * @author Mount Liu
 * @date 2018/2/19
 */
@Entity
@Table(name = "tb_game_question_option")
public class GameQuestionOption extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 第几关卡
     */
    private String questionId;
    /**
     *选项内容
     */
    private String content;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 选项内容是否为图片
     */
    private Integer isPicture;
    /**
     * 是否为正确答案
     */
    private int isCorrect;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Column(updatable=false)
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getIsPicture() {
        return isPicture;
    }

    public void setIsPicture(Integer isPicture) {
        this.isPicture = isPicture;
    }

    public int getIsCorrect() {
        return isCorrect;
    }

    public void setIsCorrect(int isCorrect) {
        this.isCorrect = isCorrect;
    }
}
